import { useRef, useEffect } from 'react';

function useInterval(callback, delay) {
    var savedCallback = useRef(function () { });
    // Remember the latest callback.
    useEffect(function () {
        savedCallback.current = callback;
    }, [callback]);
    // Set up the interval.
    useEffect(function () {
        function tick() {
            savedCallback.current();
        }
        if (delay !== null) {
            var id_1 = setInterval(tick, delay);
            return function () { return clearInterval(id_1); };
        }
        else {
            return function () { };
        }
    }, [delay]);
}

export { useInterval };
//# sourceMappingURL=index.es.js.map
